Skip to content
Get started

Create Watchlist

POST/v1/watchlists

Create Watchlist

Body ParametersJSONExpand Collapse
name: string

The desired watchlist name.

ReturnsExpand Collapse
data: WatchlistEntry { id, created_at, name }

Represents a user watchlist.

id: string

The unique identifier for the watchlist.

formatuuid
created_at: string

The timestamp when the watchlist was created.

formatdate-time
name: string

The user-provided watchlist name.

Create Watchlist

curl https://api.clearstreet.com/v1/watchlists \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $API_KEY" \
    -d '{
          "name": "name"
        }'
{
  "data": {
    "created_at": "2025-01-23T12:00:00.000000000Z",
    "id": "770e8400-e29b-41d4-a716-446655440002",
    "name": "Growth Stocks"
  },
  "error": null,
  "metadata": {
    "request_id": "b2c3d4e5-f6a7-8901-2345-678901bcdefg"
  }
}
{
  "error": {
    "code": 400,
    "message": "Failed to parse the request body as JSON: trailing comma at line 3 column 1"
  },
  "metadata": {
    "request_id": "72348112-c92d-4610-829a-f769c82a9a0f"
  }
}
{
  "error": {
    "code": 409,
    "message": "Resource already exists"
  },
  "metadata": {
    "request_id": "0efec74c-7d58-4fef-b73b-df50731e4f6b"
  }
}
Returns Examples
{
  "data": {
    "created_at": "2025-01-23T12:00:00.000000000Z",
    "id": "770e8400-e29b-41d4-a716-446655440002",
    "name": "Growth Stocks"
  },
  "error": null,
  "metadata": {
    "request_id": "b2c3d4e5-f6a7-8901-2345-678901bcdefg"
  }
}
{
  "error": {
    "code": 400,
    "message": "Failed to parse the request body as JSON: trailing comma at line 3 column 1"
  },
  "metadata": {
    "request_id": "72348112-c92d-4610-829a-f769c82a9a0f"
  }
}
{
  "error": {
    "code": 409,
    "message": "Resource already exists"
  },
  "metadata": {
    "request_id": "0efec74c-7d58-4fef-b73b-df50731e4f6b"
  }
}